<template>
  <button
    :type="type"
    class="c-button"
    :class="`c-button--${buttonStyle}`"
    @click="clicked"
  >
    {{ text }}
  </button>
</template>

<script>
export default {
  name: "Button",
  props: {
    text: {
      type: String,
      required: true
    },
    type: {
      type: String,
      default: "button"
    },
    buttonStyle: {
      type: String,
      default: "primary"
    }
  },
  methods: {
    clicked() {
      this.$emit("clicked");
    }
  }
};
</script>

<style lang="scss">
.c-button {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.3rem;
  line-height: 2rem;
  font-weight: $fw-medium;
  letter-spacing: 0.15em;
  text-transform: uppercase;
  width: auto;
  min-width: 100%;
  height: 5rem;
  border: 2px solid;
  transition: 0.3s;

  @include breakpoint(phone) {
    margin-bottom: 2.5rem;
  }

  @include breakpoint(overPhone) {
    min-width: 16.3rem;
    margin-right: 2rem;
  }

  &:disabled {
    cursor: not-allowed;
    opacity: 0.8;
  }

  &:last-of-type {
    margin-right: 0;
    margin-bottom: 0;
  }

  &--primary {
    color: $c-white;
    background-color: $c-brand-secondary;
    border-color: $c-brand-secondary;

    &:hover {
      background-color: $c-brand-quinary;
      border-color: $c-brand-quinary;
    }
  }

  &--secondary {
    color: $c-brand-primary;
    background-color: $c-white;
    border-color: $c-brand-primary;

    &:hover {
      color: $c-white;
      background-color: $c-brand-primary;
    }
  }
}
</style>
